*+
*+
*+    Source Module => D:\SRC\CLICK\ERR_LOG.PRG
*+
*+    Click! is a Clipper/Xbase++ source code reformatter.
*+    
*+    Copyright(C) 1996-1999 by Phil Barnett.
*+       
*+    This program is free software; you can redistribute it and/or modify it
*+    under the terms of the GNU General Public License as published by the
*+    Free Software Foundation; either version 2 of the License, or (at your
*+    option) any later version.
*+    
*+    This program is distributed in the hope that it will be useful, but
*+    WITHOUT ANY WARRANTY; without even the implied warranty of
*+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*+    General Public License for more details.
*+    
*+    You should have received a copy of the GNU General Public License along
*+    with this program; if not, write to the Free Software Foundation, Inc.,
*+    675 Mass Ave, Cambridge, MA 02139, USA.
*+    
*+    You can contact me at:
*+    
*+    Phil Barnett
*+    Box 944
*+    Plymouth, Florida  32768
*+    
*+    or
*+    
*+    philb@iag.net
*+
*+    Functions: Procedure err_log()
*+
*+    Reformatted by Click! 2.03 on Jan-26-1999 at 12:35 am
*+
*+

#include "FILEIO.CH"

*+
*+
*+    Procedure err_log()
*+
*+    Called from ( click.prg    )  22 - procedure click()
*+
*+
*+
procedure err_log( cTheFile, cTheError )

local nHandle

// writes text to the output file and creates the file if it is missing,
// otherwise appends to the existing file.

if file( cTheFile )
   nHandle := fopen( cTheFile, 2 )
   fseek( nHandle, 0, FS_END )
else
   nHandle := fcreate( cTheFile, 0 )
endif

if nHandle > - 1
   fwrite( nHandle, cTheError + chr( 13 ) + chr( 10 ) )
   fclose( nHandle )
endif

return

*+ EOF: ERR_LOG.PRG
