*+
*+
*+    Source Module => D:\SRC\CLICK\FILNPATH.PRG
*+
*+    Click! is a Clipper/Xbase++ source code reformatter.
*+    
*+    Copyright(C) 1996-1999 by Phil Barnett.
*+       
*+    This program is free software; you can redistribute it and/or modify it
*+    under the terms of the GNU General Public License as published by the
*+    Free Software Foundation; either version 2 of the License, or (at your
*+    option) any later version.
*+    
*+    This program is distributed in the hope that it will be useful, but
*+    WITHOUT ANY WARRANTY; without even the implied warranty of
*+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*+    General Public License for more details.
*+    
*+    You should have received a copy of the GNU General Public License along
*+    with this program; if not, write to the Free Software Foundation, Inc.,
*+    675 Mass Ave, Cambridge, MA 02139, USA.
*+    
*+    You can contact me at:
*+    
*+    Phil Barnett
*+    Box 944
*+    Plymouth, Florida  32768
*+    
*+    or
*+    
*+    philb@iag.net
*+
*+    Functions: Function fileinpath()
*+
*+    Reformatted by Click! 2.03 on Jan-26-1999 at 12:35 am
*+
*+

#include "COMMON.CH"

*+
*+
*+    Function fileinpath()
*+
*+    Called from ( functrak.prg )   1 - procedure func_text()
*+                ( readlnk.prg  )   2 - function readlnk()
*+
*+
*+
function fileinpath( filename, cEnviron )

local cDir
local foundit := .f.
local cPath
local x       := 1  // Initialise x
local y

// Modifications by Peter Townsend, 12/13/1998

// This will return the full path of a file name if it is in the environment
// you may specify the environment variable to other than the default
// of PATH, so you can get LIB, OBJ, or any other pathlist.

default cEnviron to 'PATH'

cPath := getenv( upper( cEnviron ) )
y     := numtoken( cPath, ';' )

// Change FOR to DO WHILE
do while ( !foundit ) .and. ( x <= y )
   cDir    := alltrim( token( cPath, ';', x ) )
   cDir    += iif( right( cDir, 1 ) <> '\', '\', '' )
   foundit := file( cDir + filename )
   x ++             // Increment x
enddo               // Change NEXT to ENDDO

return if( foundit, cDir + filename, filename )

*+ EOF: FILNPATH.PRG
