*+
*+
*+    Source Module => D:\SRC\CLICK\PRB_AMPM.PRG
*+
*+    Click! is a Clipper/Xbase++ source code reformatter.
*+    
*+    Copyright(C) 1996-1999 by Phil Barnett.
*+       
*+    This program is free software; you can redistribute it and/or modify it
*+    under the terms of the GNU General Public License as published by the
*+    Free Software Foundation; either version 2 of the License, or (at your
*+    option) any later version.
*+    
*+    This program is distributed in the hope that it will be useful, but
*+    WITHOUT ANY WARRANTY; without even the implied warranty of
*+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*+    General Public License for more details.
*+    
*+    You should have received a copy of the GNU General Public License along
*+    with this program; if not, write to the Free Software Foundation, Inc.,
*+    675 Mass Ave, Cambridge, MA 02139, USA.
*+    
*+    You can contact me at:
*+    
*+    Phil Barnett
*+    Box 944
*+    Plymouth, Florida  32768
*+    
*+    or
*+    
*+    philb@iag.net
*+
*+    Functions: Function AM_PM()
*+
*+    Reformatted by Click! 2.03 on Jan-26-1999 at 12:35 am
*+
*+

#include "COMMON.CH"

*+
*+
*+    Function AM_PM()
*+
*+    Called from ( click.prg    )   1 - procedure click()
*+                ( functrak.prg )   3 - procedure func_text()
*+
*+
*+
function AM_PM( cTime, lShowSecs )

// my own ampm function with defaults

local nHour
local cAmPm := ' am'

default lShowSecs to .f.
default cTime to time()

nHour := val( left( cTime, 2 ) )

if nHour > 11
   cAmPm := ' pm'
   nHour -= 12
endif

if nHour = 0
   nHour := 12
endif

return str( nHour, 2 ) + substr( cTime, 3, iif( lShowSecs, 6, 3 ) ) + cAmPm

*+ EOF: PRB_AMPM.PRG
